//
//  BTSharingService.h
//
//  Version 1.0
//
//  Created by Borut Tomazin on 8/30/2013.
//  Copyright 2013 Borut Tomazin
//
//  Distributed under the permissive zlib License
//  Get the latest version from here:
//
//  https://github.com/borut-t/BTSharingService
//
//  This software is provided 'as-is', without any express or implied
//  warranty.  In no event will the authors be held liable for any damages
//  arising from the use of this software.
//
//  Permission is granted to anyone to use this software for any purpose,
//  including commercial applications, and to alter it and redistribute it
//  freely, subject to the following restrictions:
//
//  1. The origin of this software must not be misrepresented; you must not
//  claim that you wrote the original software. If you use this software
//  in a product, an acknowledgment in the product documentation would be
//  appreciated but is not required.
//
//  2. Altered source versions must be plainly marked as such, and must not be
//  misrepresented as being the original software.
//
//  3. This notice may not be removed or altered from any source distribution.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, BTSharingServiceType) {
    BTSharingServiceTypeFacebook = 1,
    BTSharingServiceTypeTwitter,
    BTSharingServiceTypeMail,
    BTSharingServiceTypeiMessage,
    BTSharingServiceTypeSafari
};

@interface BTSharingService : NSObject

+ (id)sharedInstance;

- (void)setPreferredLanguage:(NSString *)language;
- (void)shareWithType:(BTSharingServiceType)serviceType
              subject:(NSString *)subject
                 body:(NSString *)body
                  url:(NSURL *)url
           recipients:(NSArray *)recipients
     onViewController:(UIViewController *)viewController;

@end
